*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "SF Pro Text";
  font-size: 20px;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: hsl(0, 0%, 8%);
  background: hsl(249, 20%, 11%);
}

button {
  all: unset;
}

nav {
  width: 100%;
  max-width: 1200px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 24px 40px;
}

ul {
  display: flex;
  gap: 1.2rem;
  list-style: none;
}

.link {
  text-decoration: none;
  color: #fff;
  font-size: 18px;
  padding: 0.5rem;
  position: relative;
}

.logo {
  width: 24px;
  height: 24px;
}

.menu-icon {
  display: none;
  width: 24px;
  height: 24px;
}

/* Media Query for Responsive behavior of the Navbar */
@media only screen and (max-width: 600px) {
  .menu-icon {
    display: block;
  }

  nav ul {
    display: none;
  }
}

/* Link and Logo Hover Effects */
.link::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background: #fff;
  border-radius: 5px;
  transform: scaleX(0);
  transition: all 0.6s ease;
}

.link::before {
  bottom: 0;
  left: 0;
}

.link:hover::before {
  transform: scaleX(1);
}

.logo {
  transition: 0.35s ease;
}
.logo:hover {
  opacity: 0.5;
}
